# Created by pyp2rpm-1.0.1
%global pypi_name pycuda
%define version 2012.1

%define _requires_exceptions libcuda.so.1

Name:           python-%{pypi_name}
Version:        %{version}
Release:        %mkrel 2
Group:          Development/Python
Summary:        Python wrapper for NVIDIA CUDA
License:        MIT
URL:            https://pypi.python.org/pypi/pycuda
Source0:        http://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         pycuda-2012.1-reduction.patch

BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-numpy
BuildRequires:  python-numpy-devel
BuildRequires:  nvidia-cuda-toolkit-devel
BuildRequires:  nvidia-current-devel
BuildRequires:  boost-devel

Requires:       python-tools >= 2011.2
Requires:       python-test >= 2
Requires:       python-decorator >= 3.2.0
Requires:       nvidia-current-cuda-opencl
Requires:       nvidia-cuda-toolkit-devel

%description
PyCUDA lets you access NVIDIA's CUDA parallel computation API from Python.

%prep
%setup -q -n %{pypi_name}-%{version}
%apply_patches
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs 
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%build
./configure.py --no-use-shipped-boost \
    --cudadrv-lib-dir=%{_libdir}/nvidia-current \
    --ldflags=-lboost_system

CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc html README_SETUP.txt
%{py_platsitedir}/%{pypi_name}
%{py_platsitedir}/%{pypi_name}-%{version}-py?.?.egg-info
%{_includedir}/%{pypi_name}


%changelog

* Fri Apr 12 2013 mitya <mitya> 2012.1-2.mga3
+ Revision: 409805
- Rebuild with new Boost 1.53

* Sat Mar 30 2013 mitya <mitya> 2012.1-1.mga3.nonfree
+ Revision: 406549
- imported package python-pycuda

